<?php
/*
 * Copyright (C) 2009 Patrick Ditzel
 * Copyright (C) 2009-2012 Oliver Seufer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

// Create Headline with anchor
domchild(3, 'h2', '', '');
domchild(4, 'a', array('name' => 'top'), 'Help');
// Import the intro
import_dom_node(3, 'xhtml/help/help0.xhtml');
// create the index for the helppage (with anchors)
domchild(3, 'ol', '', '');
domchild(4, 'li', '', '');
domchild(5, 'a', array('href' => '#mainmenu'), 'Main menu');
domchild(5, 'ol', '', '');
domchild(6, 'li', '', '');
domchild(7, 'a', array('href' => '#realtime'), 'Realtime');
domchild(6, 'li', '', '');
domchild(7, 'a', array('href' => '#history'), 'History');
domchild(6, 'li', '', '');
domchild(7, 'a', array('href' => '#databasecont'), 'Database');
domchild(4, 'li', '', '');
domchild(5, 'a', array('href' => '#setupmenu'), 'Setup menu');
domchild(5, 'ol', '', '');
domchild(6, 'li', '', '');
domchild(7, 'a', array('href' => '#general'), 'General');
domchild(6, 'li', '', '');
domchild(7, 'a', array('href' => '#database'), 'Database');
domchild(6, 'li', '', '');
domchild(7, 'a', array('href' => '#mac-list'), 'MAC list');
domchild(6, 'li', '', '');
domchild(7, 'a', array('href' => '#nw-list'), 'Network list');
domchild(6, 'li', '', '');
domchild(7, 'a', array('href' => '#port-list'), 'Port list');
domchild(6, 'li', '', '');
domchild(7, 'a', array('href' => '#setupchck'), 'Setup check');

domchild(3, 'hr', '', '');

domchild(3, 'h3', '', 'Main menu');
domchild(4, 'a', array('name' => 'mainmenu'), '');
import_dom_node(3, 'xhtml/help/help1.xhtml');
domchild(3, 'a', array('href' => '#top'), 'Top');

domchild(3, 'hr', '', '');

domchild(3, 'h4', '', 'Realtime');
domchild(4, 'a', array('name' => 'realtime'), '');
import_dom_node(3, 'xhtml/help/help1.2.xhtml');
domchild(3, 'a', array('href' => '#top'), 'Top');

domchild(3, 'hr', '', '');

domchild(3, 'h4', '', 'History');
domchild(4, 'a', array('name' => 'history'), '');
import_dom_node(3, 'xhtml/help/help1.3.xhtml');
domchild(3, 'a', array('href' => '#top'), 'Top');

domchild(3, 'hr', '', '');

domchild(3, 'h4', '', 'Database');
domchild(4, 'a', array('name' => 'databasecont'), '');
import_dom_node(3, 'xhtml/help/help1.4.xhtml');
domchild(3, 'a', array('href' => '#top'), 'Top');
domchild(3, 'hr', '', '');

domchild(3, 'h3', '', 'Setup menu');
domchild(4, 'a', array('name' => 'setupmenu'), '');
import_dom_node(3, 'xhtml/help/help2.xhtml');
domchild(3, 'a', array('href' => '#top'), 'Top');

domchild(3, 'hr', '', '');

domchild(3, 'h4', '', 'General');
domchild(4, 'a', array('name' => 'general'), '');
import_dom_node(3, 'xhtml/help/help2.1.xhtml');
domchild(3, 'a', array('href' => '#top'), 'Top');

domchild(3, 'hr', '', '');

domchild(3, 'h4', '', 'Database');
domchild(4, 'a', array('name' => 'database'), '');
import_dom_node(3, 'xhtml/help/help2.2.xhtml');
domchild(3, 'a', array('href' => '#top'), 'Top');

domchild(3, 'hr', '', '');

domchild(3, 'h4', '', 'MAC list');
domchild(4, 'a', array('name' => 'mac-list'), '');
import_dom_node(3, 'xhtml/help/help2.3.xhtml');
domchild(3, 'a', array('href' => '#top'), 'Top');

domchild(3, 'hr', '', '');

domchild(3, 'h4', '', 'Network list');
domchild(4, 'a', array('name' => 'nw-list'), '');
import_dom_node(3, 'xhtml/help/help2.4.xhtml');
domchild(3, 'a', array('href' => '#top'), 'Top');

domchild(3, 'hr', '', '');

domchild(3, 'h4', '', 'Port list');
domchild(4, 'a', array('name' => 'port-list'), '');
import_dom_node(3, 'xhtml/help/help2.5.xhtml');
domchild(3, 'a', array('href' => '#top'), 'Top');

domchild(3, 'hr', '', '');

domchild(3, 'h4', '', 'Setup check');
domchild(4, 'a', array('name' => 'setupchck'), '');
import_dom_node(3, 'xhtml/help/help2.6.xhtml');
domchild(3, 'a', array('href' => '#top'), 'Top');

#domchild(3, 'hr', '', '');
#
#domchild(3, 'h3', '', '3.) The Blasite ;-)');
#domchild(4, 'a', array('name' => 'blasite'), '');
#import_dom_node(3, 'xhtml/help/help3.xhtml');
#domchild(3, 'a', array('href' => '#top'), 'Top');

?>
