<?php

if (isset($_POST['tablename']) && $_POST['tablename']) {
	$_SESSION['tablename'] = $_POST['tablename'];
	// reset filterfrom and filterto on table change
	if (isset($_SESSION['filterfrom'])) {
		unset($_SESSION['filterfrom']);
	}
	if (isset($_SESSION['filterto'])) {
		unset($_SESSION['filterto']);
	}
}

if (!isset($_SESSION['tablename'])) {
	domchild(3, 'h3', array('class' => 'center'), 'Please choose a table');
}

domchild(3, 'div', array('class' => 'center'), '');

domchild(4, 'form', array('action' => getSelf(), 'method' => 'post'), '');

domchild(5, 'div', array('class' => 'center'), '');

domchild(6, 'select', array('name' => 'tablename'), '');

foreach (get_sql_tables_like('acct_v5_%') as $table) {
	if (preg_match('/^acct_v5(_\d+)?$/', $table['tablename'])) {
		if (isset($_SESSION['tablename']) &&
				$_SESSION['tablename'] == $table['tablename']) {
			domchild(7, 'option', array('selected' => 'selected'),
				 $table['tablename']);
		} else {
			$date = date("Ymd");
			if ($table['tablename'] == 'acct_v5_' . $date ) {
				domchild(7, 'option',
					 array('selected' => 'selected'),
					 $table['tablename']);
			} else {
				domchild(7, 'option', '', $table['tablename']);
			}
		}
	}
}

if (isset($_SESSION['tablename']) && $_SESSION['tablename']) {
	domchild(6, 'input', array('type' => 'hidden', 'name' => 'change',
		 'value' => 'Change'), '');
	domchild(6, 'input', array('type' => 'submit', 'value' => 'Change'),
		 '');
} else {
	domchild(6, 'input', array('type' => 'submit', 'value' => 'OK'), '');
}

domchild(4, 'br', '', '');

if (isset($_GET['sort']) && $_GET['sort']) {
	if (getSort() == $_GET['sort']) {
		setSortReverse();
	}
	setSort($_GET['sort']);
}

// Check if we have a sort criterion that is not id
if (getSort() == '' || getSort() == 'id') {
	$sqlorder = '';
	// id has only one order so we have to reset the order to 0
	if (getSortReverse() == 1) {
		setSortReverse();
	}
} else {
	$sqlorder = ' ORDER BY ' . db_escape_string(getSort()) . ' ';
}

// Check if we have reverse order
if (getSortReverse() == 1) {
	$sqlorder .= ' DESC ';
}

if (isset($_SESSION['tablename']) && $_SESSION['tablename']) {

	$sqlwhere = filter();
	//$sqlwhere = '';

	if (isset($_GET['tblstart']) && $_GET['tblstart']) {
		$start = $_GET['tblstart'];
	} else {
		$start = 0;
	}

	// TODO
	//$sql = 'SELECT * FROM ' . $_SESSION['tablename'] . ' ' . $sqlwhere .
	$sql = $sqlwhere .
		$sqlorder . ' LIMIT 1000 OFFSET ' . getTableStart();

	//$sql = 'SELECT * FROM ' . $_SESSION['tablename'] . ' ' . $sqlwhere .
	//	$sqlorder . ' LIMIT 1000';

	debug_msg(2, '$sql = ' . $sql);

	if (isset($_POST['dbquery']) || isset($_GET['tblstart']) ||
	    isset($_POST['show']) || isset($_GET['sort'])) {
	//if (isset($_POST['dbquery']) || isset($_SESSION['results'])) {

		$results = db_query($sql);
		//$_SESSION['results'] = db_query($sql);
		//$results = $_SESSION['results'];

		debug_msg(1, 'found ' . count($results) . ' entries');
		show_db_query_results(3, $results, '');

	}

}

?>
