<?php

// if the client does not support javascript the page gets refreshed
// ever 2 minutes
page_refresh(120);

// refresh graphics in background and then reload the page
add_attr2dom('body', 'onload' , 'refreshPage()');

$url = getRelativeUrl(getRrdtoolGraphDir());

if (isset($_GET['detgraph'])) {

	domchild(3, 'div', '', '');
	domchild(4, 'a', array('href' => getSelf()), '<-- Back');
	domchild(4, 'a', array('name' => 'top'), '');

	$hday = $_GET['detgraph'] . '_12h.png';
	$week = $_GET['detgraph'] . '_1w.png';
	$month = $_GET['detgraph'] . '_5w.png';
	$year = $_GET['detgraph'] . '_1y.png';

	domchild(3, 'h1', '', 'Traffic ' . $_GET['detgraph']);

	domchild(3, 'ul', array('id' => 'graphnav'), '');
	domchild(4, 'li', '', '');
	domchild(5, 'a', array('href' => '#hours'), '12 hours');
	domchild(4, 'li', '', '');
	domchild(5, 'a', array('href' => '#week'), 'one week');
	domchild(4, 'li', '', '');
	domchild(5, 'a', array('href' => '#month'), 'one month');
	domchild(4, 'li', '', '');
	domchild(5, 'a', array('href' => '#year'), 'one year');

	$file = getRrdtoolGraphDir() . '/' . $hday;
	if (file_exists($file)) {
		domchild(3, 'h3', '', '12 hours');
		domchild(4, 'a', array('name' => 'hours'), '');
		domchild(4, 'a', array('href' => '#top'), ' (Top)');
		domchild(3, 'img', array('src' => $url . '/' . $hday,
					 'alt' => '12 hours'), '');
	} else {
		domchild(3, 'p', array('class' => 'error'),
				        $file . ': no such file');
	}

	$file = getRrdtoolGraphDir() . '/' . $week;
	if (file_exists($file)) {
		domchild(3, 'h3', '', 'one week');
		domchild(4, 'a', array('name' => 'week'), '');
		domchild(4, 'a', array('href' => '#top'), ' (Top)');
		domchild(3, 'img', array('src' => $url . '/' . $week,
					 'alt' => 'one week'), '');
	} else {
		domchild(3, 'p', array('class' => 'error'),
				        $file . ': no such file');
	}

	$file = getRrdtoolGraphDir() . '/' . $month;
	if (file_exists($file)) {
		domchild(3, 'h3', '', 'one month');
		domchild(4, 'a', array('name' => 'month'), '');
		domchild(4, 'a', array('href' => '#top'), ' (Top)');
		domchild(3, 'img', array('src' => $url . '/' . $month,
					 'alt' => 'one month'), '');
	} else {
		domchild(3, 'p', array('class' => 'error'),
				        $file . ': no such file');
	}

	$file = getRrdtoolGraphDir() . '/' . $year;
	if (file_exists($file)) {
		domchild(3, 'h3', '', 'one year');
		domchild(4, 'a', array('name' => 'year'), '');
		domchild(4, 'a', array('href' => '#top'), ' (Top)');
		domchild(3, 'img', array('src' => $url . '/' . $year,
					 'alt' => 'one year'), '');
	} else {
		domchild(3, 'p', array('class' => 'error'),
				        $file . ': no such file');
	}

} else {

	$small = 'sniff_12h_small.png';
	$file = getRrdtoolGraphDir() . '/' . $small;
	domchild(3, 'h3', '', 'Total traffic on interface ' . getInterface());
	domchild(3, 'div', '', '');
	if (file_exists($file)) {
		domchild(4, 'a', array('href' => getSelf() .
				       '&detgraph=sniff'), '');
		domchild(5, 'img', array('src' => $url . '/' . $small,
					 'alt' => 'sniff'), '');
	} else {
		domchild(4, 'p', array('class' => 'error'),
			 $file . ': no such file');
	}

	foreach (getEthers() as $ether) {

		$small = $ether['name'] . '_12h_small.png';
		$file = getRrdtoolGraphDir() . '/' . $small;
		domchild(3, 'h3', '', $ether['name'] . ' (' . $ether['mac'] .
			 ')');
		domchild(3, 'div', '', '');
		if (file_exists($file)) {
			domchild(4, 'a', array('href' => getSelf() .
					       '&detgraph=' .
					       rawurlencode($ether['name'])),
				 '');
			domchild(5, 'img', array('src' => $url . '/' . $small,
						 'alt' => $ether['name']), '');
		} else {
			domchild(4, 'p', array('class' => 'error'),
				 $file . ': no such file');
		}

	}

	// Networks
	$small = 'networks_12h_small.png';
	$file = getRrdtoolGraphDir() . '/' . $small;
	domchild(3, 'h3', '', 'Networks');
	domchild(3, 'div', '', '');
	if (file_exists($file)) {
		domchild(4, 'a', array('href' => getSelf() .
				       '&detgraph=networks'), '');
		domchild(5, 'img', array('src' => $url . '/' . $small,
					 'alt' => 'networks'), '');
	} else {
		domchild(4, 'p', array('class' => 'error'),
			 $file . ': no such file');
	}

}

?>
