function do_interface_counter_cb(countera) {
	var count = 0;

	var msg = "Ok (interval: " + countera['interval'] + " seconds)";
	document.getElementById("interface_counter").innerHTML=msg;

	var mytable=document.getElementById("results");
	// Cleanup table
	while (mytable.rows.length>0) {
		// delete first row of contracting table until there
		// are none left
		mytable.deleteRow(0);
	}

	// Create table headings
	// add new row to end of table
	var newrow=mytable.insertRow(-1);
	for (var j in countera) {
		var newTH = document.createElement('th');
		mytable.rows[count].appendChild(newTH);
		newTH.setAttribute('class','nowrap'); 
		newTH.innerHTML=j;
	}

	// Create table content
	//add new row to end of table
	var newrow=mytable.insertRow(-1);
	count++;
	for (var i in countera) {
		// insert new cell
		var newcell=mytable.rows[count].insertCell(-1);
		newcell.setAttribute('class','even'); 
		newcell.innerHTML=countera[i];
	}

	// Run interface counter query every second
	setTimeout('do_interface_counter();', countera['interval'] * 1000);

}

function do_interface_counter() {

	var msg = "Getting interface counters";
	document.getElementById("interface_counter").innerHTML=msg;

	// update rrd databases
	do_rrdtool_update_port_dbs();

	device = get_GET_param('ethername');
	x_rrdtool_counter(device, do_interface_counter_cb);
}

function do_rrdtool_update_port_dbs_db() {
	do_rrdtool_update_port_dbs();
}

function do_rrdtool_update_port_dbs() {
	device = get_GET_param('ethername');
	x_rrdtool_update_port_dbs(device, do_rrdtool_update_port_dbs_db);
}

