/*
 * Copyright (C) 2009-2012 Oliver Seufer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

function get_GET_params() {
	var GET = new Array();
	if (location.search.length > 0) {
		var get_param_str = location.search.substring(1,
					location.search.length);
		var get_params = get_param_str.split("&");
		for (i = 0; i < get_params.length; i++) {
			var key_value = get_params[i].split("=");
			if (key_value.length == 2) {
				var key = key_value[0];
				var value = key_value[1];
				GET[key] = value;
			}
		}
	}
	return(GET);
}

function get_GET_param(key) {
	var get_params = get_GET_params();
	if (get_params[key]) {
		return(get_params[key]);
	} else {
		return false;
	}
}

