<?php
// The global configuration file
require_once('../include/conf.inc.php');

// We need to import our own functions so we can export them with sajax to
// javascript functions
require_once('../../functions/functions.inc.php');

// Sajax itselfs
require_once('../../functions/sajax/Sajax.php');

// Change content-type to javascript, because we generate javascript code
// here
header('Content-Type: application/javascript');

$cfg = array();

// We need to add '../', because we are in the js directory
setCfgfile('../' . getCfgfile());

// Initialization of dastralyse
initialization();

// Sajax initialization
sajax_init();

// This function will be exported by sajax as javascript
// e.g. PHP function test, javascript function x_test
sajax_export('db_query');
sajax_export('pmacct_counter');
sajax_export('rrdtool_generate_graphics');
sajax_export('rrdtool_generate_ether_graphics');
sajax_export('rrdtool_generate_network_graphics');
sajax_export('rrdtool_counter');
sajax_export('rrdtool_update_port_dbs');
sajax_export('rrdtool_update_network_dbs');

sajax_handle_client_request();
sajax_show_javascript();

?>
