#!/bin/bash

OPTS="DEF:i_total=/var/www/dastralyse/rrddb/sniff/ports/i_total.rrd:total:AVERAGE DEF:o_total=/var/www/dastralyse/rrddb/sniff/ports/o_total.rrd:total:AVERAGE DEF:i_22=/var/www/dastralyse/rrddb/sniff/ports/i_22.rrd:22:AVERAGE DEF:o_22=/var/www/dastralyse/rrddb/sniff/ports/o_22.rrd:22:AVERAGE DEF:i_80=/var/www/dastralyse/rrddb/sniff/ports/i_80.rrd:80:AVERAGE DEF:o_80=/var/www/dastralyse/rrddb/sniff/ports/o_80.rrd:80:AVERAGE DEF:i_21=/var/www/dastralyse/rrddb/sniff/ports/i_21.rrd:21:AVERAGE DEF:o_21=/var/www/dastralyse/rrddb/sniff/ports/o_21.rrd:21:AVERAGE DEF:i_443=/var/www/dastralyse/rrddb/sniff/ports/i_443.rrd:443:AVERAGE DEF:o_443=/var/www/dastralyse/rrddb/sniff/ports/o_443.rrd:443:AVERAGE DEF:i_20=/var/www/dastralyse/rrddb/sniff/ports/i_20.rrd:20:AVERAGE DEF:o_20=/var/www/dastralyse/rrddb/sniff/ports/o_20.rrd:20:AVERAGE DEF:i_8080=/var/www/dastralyse/rrddb/sniff/ports/i_8080.rrd:8080:AVERAGE DEF:o_8080=/var/www/dastralyse/rrddb/sniff/ports/o_8080.rrd:8080:AVERAGE CDEF:in=i_total,-8,* CDEF:out=o_total,8,* CDEF:in_22=i_22,-8,* CDEF:out_22=o_22,8,* CDEF:in_80=i_80,-8,* CDEF:out_80=o_80,8,* CDEF:in_21=i_21,-8,* CDEF:out_21=o_21,8,* CDEF:in_443=i_443,-8,* CDEF:out_443=o_443,8,* CDEF:in_20=i_20,-8,* CDEF:out_20=o_20,8,* CDEF:in_8080=i_8080,-8,* CDEF:out_8080=o_8080,8,* AREA:in_22#FFCC00:ssh: AREA:in_80#44F000:http:STACK AREA:in_21#F44000:ftp:STACK AREA:in_443#A4F000:https:STACK AREA:in_20#F44000:ftp-data:STACK AREA:in_8080#CCCCCC:proxy:STACK AREA:out_22#FFCC00:: AREA:out_80#44F000::STACK AREA:out_21#F44000::STACK AREA:out_443#A4F000::STACK AREA:out_20#F44000::STACK AREA:out_8080#CCCCCC::STACK LINE1:in#000099:total LINE1:out#000099 LINE1:0#000000:"

ZOOM=0
WIDTH=800
HEIGHT=600
WIDTH=400
HEIGHT=300

if [ "$ZOOM" -gt 0 ]; then
   WIDTH=$[WIDTH/ZOOM]
   HEIGHT=$[HEIGHT/ZOOM]
  /usr/bin/rrdtool graph /tmp/rrd15cy39 --zoom 2 -a PNG -w $WIDTH -h $HEIGHT -s end-12h -S 120 -t test $OPTS
else
  /usr/bin/rrdtool graph /tmp/rrd15cy39 -a PNG -w $WIDTH -h $HEIGHT -s end-10m -S 120 -t test $OPTS
fi

