<?php

if (isset($_GET['ethername']) && isset($_GET['realtype'])) {

	$name = $_GET['ethername'];

	domchild(3, 'div', '', 'Name: ' . $name);
	domchild(3, 'div', array('class' => 'rx'), 'Incoming bandwidth (RX): ' .
		 getEtherRXSpeed($name));
	domchild(3, 'div', array('class' => 'tx'), 'Outgoing bandwidth (TX): ' .
		 getEtherTXSpeed($name));
	domchild(3, 'div', array('class' => 'rxtx'),
		 'Total bandwidth (RX+TX): ' .
		 (getEtherRXSpeed($name) + getEtherTXSpeed($name)));
	domchild(4, 'br', '', '');

	if ($_GET['realtype'] == 'bar chart') {
		svg(3, 'include/main/realtime-svg1.php?id=' . session_id() .
		    '&ethername=' . $name, '600', '90');
	} else if ($_GET['realtype'] == 'curve chart') {
		svg(3, 'include/main/realtime-svg2.php?id=' . session_id() .
		    '&ethername=' . $name, '600', '400');
	} else if ($_GET['realtype'] == 'table') {
		include('include/main/realtime-table1.php');
	}
}

domchild(4, 'br', '', '');

domchild(3, 'h3', '', 'Select ether name and type of realtime view:');

domchild(4, 'br', '', '');

domchild(3, 'div', '', '');

domchild(4, 'form', array('action' => getSelf(), 'method' => 'get'), '');

domchild(5, 'div', '', '');

// include all get values has hidden input fields which are not used in this
// file
foreach ($_GET as $key => $value) {
	if ($key != 'ethername' && $key != 'realtype') {
		domchild(6, 'input', array('type' => 'hidden', 'name' => $key,
					   'value' => $value), '');
	}
}

domchild(6, 'select', array('name' => 'ethername'), '');

foreach (getEthers() as $ether) {

	if (isset($_GET['ethername']) &&
			$_GET['ethername'] == $ether['name']) {
		domchild(7, 'option', array('selected' => 'selected'),
			 $ether['name']);
	} else {
		domchild(7, 'option', '', $ether['name']);
	}

}

domchild(6, 'select', array('name' => 'realtype'), '');

if (isset($_GET['realtype']) && $_GET['realtype'] == 'bar chart') {
	domchild(7, 'option', array('selected' => 'selected'), 'bar chart');
} else {
	domchild(7, 'option', '', 'bar chart');
}

if (isset($_GET['realtype']) && $_GET['realtype'] == 'curve chart') {
	domchild(7, 'option', array('selected' => 'selected'), 'curve chart');
} else {
	domchild(7, 'option', '', 'curve chart');
}

if (isset($_GET['realtype']) && $_GET['realtype'] == 'table') {
	domchild(7, 'option', array('selected' => 'selected'), 'table');
} else {
	domchild(7, 'option', '', 'table');
}


domchild(6, 'input', array('type' => 'submit', 'value' => 'OK'), '');

?>
